classification
Title: Need openssl 1.1.1 support on Windows for ARM and ARM64
Type: enhancement Stage: resolved
Components: SSL, Windows Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: christian.heimes Nosy List: Paul Monson, christian.heimes, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords: patch, patch, patch, patch

Created on 2019-02-07 02:53 by Paul Monson, last changed 2019-05-17 20:51 by steve.dower. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11779 merged python-dev, 2019-02-07 02:55
PR 11779 merged python-dev, 2019-02-07 02:55
PR 11779 merged python-dev, 2019-02-07 02:55
PR 11779 merged python-dev, 2019-02-07 02:55
PR 13323 closed steve.dower, 2019-05-14 18:16
PR 13350 merged steve.dower, 2019-05-15 22:47
Messages (4)
msg334998 - (view) Author: Paul Monson (Paul Monson) * Date: 2019-02-07 02:53
Need code and test changes to match https://bugs.python.org/issue35740
msg342489 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-05-14 17:15
This PR has stalled because of errors raised by TLS 1.3

It seems that there may be a difference between sockets on Windows being non-blocking by default and other platforms being blocking by default. However, we think that is probably just causes TLS 1.3/OpenSSL 1.1.1b errors to show up in different places.

Has anyone figured out the TLS 1.3 issues yet?

Also, does anyone know why we default to different sockets on Windows?
msg342608 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-05-15 22:38
New changeset fb7e7505ed1337bf40fa7b8b68317d1e86675a86 by Steve Dower (Paul Monson) in branch 'master':
bpo-35926: Add support for OpenSSL 1.1.1b on Windows (GH-11779)
https://github.com/python/cpython/commit/fb7e7505ed1337bf40fa7b8b68317d1e86675a86
msg342662 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-05-16 16:41
New changeset aa73841a8fdded4a462d045d1eb03899cbeecd65 by Steve Dower in branch '3.7':
bpo-35926: Add support for OpenSSL 1.1.1b on Windows (GH-11779)
https://github.com/python/cpython/commit/aa73841a8fdded4a462d045d1eb03899cbeecd65
History
Date User Action Args
2019-05-17 20:51:33steve.dowersetkeywords: patch, patch, patch, patch
status: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-05-16 16:41:40steve.dowersetmessages: + msg342662
2019-05-15 22:47:14steve.dowersetpull_requests: + pull_request13261
2019-05-15 22:38:59steve.dowersetmessages: + msg342608
2019-05-14 18:16:28steve.dowersetpull_requests: + pull_request13237
2019-05-14 17:15:18steve.dowersetkeywords: patch, patch, patch, patch

messages: + msg342489
2019-02-07 02:56:15python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request11760
2019-02-07 02:56:05python-devsetkeywords: + patch
stage: (no value)
pull_requests: + pull_request11759
2019-02-07 02:55:56python-devsetkeywords: + patch
stage: (no value)
pull_requests: + pull_request11758
2019-02-07 02:55:45python-devsetkeywords: + patch
stage: (no value)
pull_requests: + pull_request11757
2019-02-07 02:53:23Paul Monsoncreate